<?xml version="1.0" encoding="utf-8"?>
<install type="module" version="1.5.3">
<name>Simple Mooticker</name>
<author>medien.stroeme</author>
<creationDate>September 2008</creationDate>
<authorEmail>info |at| medienstroeme.de</authorEmail>
<authorUrl>http://www.medienstroeme.de</authorUrl>
<license>GNU/GPL, see LICENSE.php</license>
<version>1.5.3</version>
<description>
Simple Mooticker module displays a horizontal scrolling text using the Joomla! build in mootools 
framework. You can choose if you want to type your text manually or still take the latest news from
sections or categories. The module has several styling options like width, height, background color, 
border styles and font styles. Additionally you can choose the scrolling direction. It generates a valid 
output and uses DIV tags only. For users with javascript disabled in their browsers you can define a 
text for the no script tag. Please read the mouseover descriptions for the parameters. 

Simple Mooticker v.1.5.3 for Joomla! 1.5.x native by medien.stroeme (www.medienstroeme.de) is
based on the original mooquee script from Dirar Abu Kteish (www.developer.ps/moo/mooquee)
and the Joomla! core module 'Latest News'.

The script has been successfully tested in IE5.5, IE6, IE7, FF2, FF3 and Opera 9.5 (for windows). 
Enjoy it!
</description>
<files>
 <filename module="mod_simplemooticker">mod_simplemooticker.php</filename>
 <filename>helper.php</filename>
 <filename>index.html</filename>
 <filename>simplemooticker.css</filename>
 <filename>tmpl/default.php</filename>
 <filename>tmpl/index.html</filename>
</files>
<params>
<param name="@spacer1" type="spacer" default="==== Ticker Container Styling ========" label="" description="" />
	<param name="tw" type="text" default="250" label="Ticker Width" description="Default is 250px" />
	<param name="unityw" type="radio" default="px" label="Width in px, em or %?" description="Default is px">
			<option value="px">px</option>
			<option value="em">em</option>
			<option value="%">%</option>
	</param>
<param name="@spacer2" type="spacer" default="--------------------------------" label="" description="" />
	<param name="th" type="text" default="20" label="Ticker Height" description="Default is 20px" />
	<param name="unityh" type="radio" default="px" label="Height in px or em?" description="Default is px">
			<option value="px">px</option>
			<option value="em">em</option>
	</param>
<param name="@spacer3" type="spacer" default="--------------------------------" label="" description="" />
	<param name="tbg" type="text" default="#trans" label="Ticker BG Color" description="For example: #000 is black, #fff is white, #trans is transparent... and so on. Default is transparent." />

<param name="@spacer4" type="spacer" default="" label="" description="" />
<param name="@spacer5" type="spacer" default="==== Ticker Border Styling ========" label="" description="" />
	<param name="tbst" type="list" default="none" label="Border Style" description="Default is NO BORDER">
			<option value="none">None</option>
			<option value="solid">Solid</option>
			<option value="dotted">Dotted</option>
			<option value="dashed">Dashed</option>
			<option value="double">Double</option>
			<option value="groove">Groove</option>
			<option value="ridge">Ridge</option>
			<option value="inset">Inset</option>
			<option value="outset">Outset</option>
	</param>
	<param name="tbw" type="list" default="1" label="Border Width in Pixel" description="Default is 1px (just works if you choose a border style)">
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
	</param>
	<param name="tbc" type="text" default="#000" label="Border Color" description="Default is black (just works if you choose a border style)" />

<param name="@spacer6" type="spacer" default="" label="" description="" />
<param name="@spacer7" type="spacer" default="==== Ticker Font Styling ========" label="" description="" />
	<param name="tff" type="list" default="arial,helvetica,sans-serif" label="Font Family" description="Default is arial">
			<option value="arial,helvetica,sans-serif">Arial, Helvetica, Sans-Serif</option>
			<option value="verdana,tahoma,geneva,sans-serif">Verdana, Tahoma, Geneva, Sans-Serif</option>
			<option value="times new roman,courier new,georgia">Times New Roman, Courier New, Georgia</option>
			<option value="comic sans ms">Comic Sans MS</option>	
	</param>
<param name="@spacer8" type="spacer" default="---------------------------------" label="" description="" />
	<param name="tfs" type="text" default="12" label="Font Size" description="Default is 12px" />
	<param name="unityfs" type="radio" default="px" label="Size in px, em or %?" description="Default is px">
			<option value="px">px</option>
			<option value="em">em</option>
			<option value="%">%</option>
	</param>
<param name="@spacer9" type="spacer" default="---------------------------------" label="" description="" />
	<param name="tfc" type="text" default="#000" label="Font Color" description="For example: #000 is black, #fff is white... and so on. Default is black." />
	<param name="tfw" type="radio" default="normal" label="Font Weight" description="Default is normal">
			<option value="normal">Normal</option>
			<option value="bold">Bold</option>		
	</param>
	<param name="tfli" type="radio" default="mooqueeCnt" label="Links underlined?" description="Default is no">
			<option value="mooqueeCnt">No</option>
			<option value="mooqueeCntTwo">Yes</option>
	</param>
	<param name="tfv" type="radio" default="normal" label="Font Variant" description="Default is none (don't use together with 'Text Transform')">
			<option value="normal">None</option>
			<option value="small-caps">Small Caps</option>	
	</param>
	<param name="ttt" type="list" default="none" label="Text Transform" description="Default is none (don't use together with 'Font Variant')">
			<option value="none">None</option>
			<option value="capitalize">Capitalize</option>
			<option value="uppercase">Uppercase</option>
			<option value="lowercase">Lowercase</option>	
	</param>
<param name="@spacer10" type="spacer" default="---------------------------------" label="" description="" />
	<param name="tls" type="text" default="0" label="Letter Spacing" description="Default is 0px" />
	<param name="unityls" type="radio" default="0" label="Spacing in px or em?" description="Default is px">
			<option value="px">px</option>
			<option value="em">em</option>
	</param>

<param name="@spacer11" type="spacer" default="" label="" description="" />
<param name="@spacer12" type="spacer" default="==== Ticker Parameters ========" label="" description="" />
	<param name="tstp" type="list" default="1" label="Ticker Speed - larger is faster" description="Default is 1">
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
	</param>
	<param name="tdir" type="radio" default="left" label="Ticker Scrolling Direction" description="Default is right to left">
		<option value="left">Right to Left</option>
		<option value="right">Left to Right</option>
	</param>

<param name="@spacer13" type="spacer" default="" label="" description="" />
<param name="@spacer14" type="spacer" default="==== Where does Ticker Content come from? ========" label="" description="" />
	<param name="tccm" type="list" default="1" label="Ticker Content" description="Default is manually typed news">
			<option value="1">Manually typed News</option>
			<option value="0">News from Sections and / or Categories</option>
		</param>

<param name="@spacer15" type="spacer" default="" label="" description="" />
<param name="@space16" type="spacer" default="==== If: Manually typed Ticker Content ========" label="" description="" />
	<param name="tcc" type="textarea" cols="40" rows="5" default="+++ Just a small scrolling &lt;a href=&quot;http://www.medienstroeme.de&quot; target=&quot;_blank&quot; title=&quot;Simple Mooticker made by medien.stroeme&quot;&gt;newsticker&lt;\/a&gt; +++" label="Manually typed Text" description="No BR linebreaks are allowed here. Please write your text without manually breaking the line (enter button). It's possible to define links, but if you do so, please mask the end tag like that &lt;\/a&gt;. (doesn't take effect if chosen: News from Sections and Categories)" />
	
<param name="@spacer17" type="spacer" default="" label="" description="" />
<param name="@spacer18" type="spacer" default="==== If: News from Sections and Categories ========" label="" description="" />

		<param name="count" type="text" default="5" label="Number of Items" description="Default is 5 (doesn't take effect if chosen: Manually typed News)" />
		<param name="ordering" type="list" default="create_dsc" label="Ordering" description="Ordering options (doesn't take effect if chosen: Manually typed News)">
			<option value="c_dsc">Recently Added First</option>
			<option value="m_dsc">Recently Modified First</option>
	  	</param>
		<param name="user_id" type="list" default="0" label="Authors" description="A filter for the authors (doesn't take effect if chosen: Manually typed News)">
			<option value="0">Anyone</option>
			<option value="by_me">Added or modified by me</option>
			<option value="not_me">Not added or modified by me</option>
	  	</param>
		<param name="@spacer19" type="spacer" default="---------------------------------" label="" description="" />
		<param name="show_front" type="radio" default="1" label="Frontpage Items" description="Default is show (doesn't take effect if chosen: Manually typed News)">
			<option value="1">Show</option>
			<option value="0">Hide</option>
		</param>
		<param name="secid" type="text" default="1,2,3,4,5" label="Section ID" description="Comma separated section IDs (doesn't take effect if chosen: Manually typed News)" />
		<param name="catid" type="text" default="1,2,3,4,5" label="Category ID" description="Comma separated categrory IDs (doesn't take effect if chosen: Manually typed News)" />
		<param name="@spacer20" type="spacer" default="---------------------------------" label="" description="" />
		<param name="separator" type="text" default="+++" label="Item Separator" description="Default is +++ (doesn't take effect if chosen: Manually typed News)" />

<param name="@spacer21" type="spacer" default="" label="" description="" />
<param name="@spacer22" type="spacer" default="==== If Javascript is disabled ========" label="" description="" />
	<param name="tns" type="textarea" cols="40" rows="5" default="+++ Newsticker requires javascript +++" label="NO SCRIPT Text" description="This text will be displayed if javascript is disabled in users browser. No BR linebreaks are allowed here. Please write your text without manually breaking the line (enter button)." />
	<param name="tta" type="radio" default="center" label="Text Alignment" description="Only for the no script tag - default is center">
			<option value="left">Left</option>
			<option value="center">Center</option>
			<option value="right">Right</option>	
	</param>
</params>
</install>